## gedit-prefs-manager

gedit-prefs-manager

## Synopsis

    #define             GEDIT_BASE_KEY
    #define             GPM_PREFS_DIR
    #define             GPM_FONT_DIR
    #define             GPM_USE_DEFAULT_FONT
    #define             GPM_EDITOR_FONT
    #define             GPM_SAVE_DIR
    #define             GPM_CREATE_BACKUP_COPY
    #define             GPM_AUTO_SAVE
    #define             GPM_AUTO_SAVE_INTERVAL
    #define             GPM_UNDO_DIR
    #define             GPM_UNDO_ACTIONS_LIMIT
    #define             GPM_WRAP_MODE_DIR
    #define             GPM_WRAP_MODE
    #define             GPM_TABS_DIR
    #define             GPM_TABS_SIZE
    #define             GPM_INSERT_SPACES
    #define             GPM_AUTO_INDENT_DIR
    #define             GPM_AUTO_INDENT
    #define             GPM_LINE_NUMBERS_DIR
    #define             GPM_DISPLAY_LINE_NUMBERS
    #define             GPM_CURRENT_LINE_DIR
    #define             GPM_HIGHLIGHT_CURRENT_LINE
    #define             GPM_BRACKET_MATCHING_DIR
    #define             GPM_BRACKET_MATCHING
    #define             GPM_RIGHT_MARGIN_DIR
    #define             GPM_DISPLAY_RIGHT_MARGIN
    #define             GPM_RIGHT_MARGIN_POSITION
    #define             GPM_CURSOR_POSITION_DIR
    #define             GPM_RESTORE_CURSOR_POSITION
    #define             GPM_SEARCH_HIGHLIGHTING_DIR
    #define             GPM_SEARCH_HIGHLIGHTING_ENABLE
    #define             GPM_TOOLBAR_DIR
    #define             GPM_TOOLBAR_VISIBLE
    #define             GPM_TOOLBAR_BUTTONS_STYLE
    #define             GPM_STATUSBAR_DIR
    #define             GPM_STATUSBAR_VISIBLE
    #define             GPM_SIDE_PANE_DIR
    #define             GPM_SIDE_PANE_VISIBLE
    #define             GPM_BOTTOM_PANEL_DIR
    #define             GPM_BOTTOM_PANEL_VISIBLE
    #define             GPM_RECENTS_DIR
    #define             GPM_MAX_RECENTS
    #define             GPM_PRINT_PAGE_DIR
    #define             GPM_PRINT_SYNTAX
    #define             GPM_PRINT_HEADER
    #define             GPM_PRINT_WRAP_MODE
    #define             GPM_PRINT_LINE_NUMBERS
    #define             GPM_PRINT_FONT_DIR
    #define             GPM_PRINT_FONT_BODY
    #define             GPM_PRINT_FONT_HEADER
    #define             GPM_PRINT_FONT_NUMBERS
    #define             GPM_ENCODINGS_DIR
    #define             GPM_AUTO_DETECTED_ENCODINGS
    #define             GPM_SHOWN_IN_MENU_ENCODINGS
    #define             GPM_SYNTAX_HL_DIR
    #define             GPM_SYNTAX_HL_ENABLE
    #define             GPM_WRITABLE_VFS_SCHEMES
    #define             GPM_LOCKDOWN_DIR
    #define             GPM_LOCKDOWN_COMMAND_LINE
    #define             GPM_LOCKDOWN_PRINTING
    #define             GPM_LOCKDOWN_PRINT_SETUP
    #define             GPM_LOCKDOWN_SAVE_TO_DISK
    #define             GPM_DEFAULT_USE_DEFAULT_FONT
    #define             GPM_DEFAULT_EDITOR_FONT
    #define             GPM_DEFAULT_CREATE_BACKUP_COPY
    #define             GPM_DEFAULT_AUTO_SAVE
    #define             GPM_DEFAULT_AUTO_SAVE_INTERVAL
    #define             GPM_DEFAULT_UNDO_ACTIONS_LIMIT
    #define             GPM_DEFAULT_WRAP_MODE
    #define             GPM_DEFAULT_TABS_SIZE
    #define             GPM_DEFAULT_INSERT_SPACES
    #define             GPM_DEFAULT_AUTO_INDENT
    #define             GPM_DEFAULT_DISPLAY_LINE_NUMBERS
    #define             GPM_DEFAULT_AUTO_DETECTED_ENCODINGS
    #define             GPM_DEFAULT_TOOLBAR_VISIBLE
    #define             GPM_DEFAULT_TOOLBAR_BUTTONS_STYLE
    #define             GPM_DEFAULT_TOOLBAR_SHOW_TOOLTIPS
    #define             GPM_DEFAULT_STATUSBAR_VISIBLE
    #define             GPM_DEFAULT_SIDE_PANE_VISIBLE
    #define             GPM_DEFAULT_BOTTOM_PANEL_VISIBLE
    #define             GPM_DEFAULT_PRINT_SYNTAX
    #define             GPM_DEFAULT_PRINT_HEADER
    #define             GPM_DEFAULT_PRINT_WRAP_MODE
    #define             GPM_DEFAULT_PRINT_LINE_NUMBERS
    #define             GPM_DEFAULT_MAX_RECENTS
    #define             GPM_DEFAULT_HIGHLIGHT_CURRENT_LINE
    #define             GPM_DEFAULT_BRACKET_MATCHING
    #define             GPM_DEFAULT_DISPLAY_RIGHT_MARGIN
    #define             GPM_DEFAULT_RIGHT_MARGIN_POSITION
    #define             GPM_DEFAULT_SYNTAX_HL_ENABLE
    #define             GPM_DEFAULT_WRITABLE_VFS_SCHEMES
    #define             GPM_DEFAULT_RESTORE_CURSOR_POSITION
    #define             GPM_DEFAULT_SEARCH_HIGHLIGHTING_ENABLE
    enum                GeditToolbarSetting;
    gboolean            gedit_prefs_manager_init            (void);
    void                gedit_prefs_manager_shutdown        (void);
    gboolean            gedit_prefs_manager_get_use_default_font
                                                            (void);
    void                gedit_prefs_manager_set_use_default_font
                                                            (gboolean udf);
    gboolean            gedit_prefs_manager_use_default_font_can_set
                                                            (void);
    gchar *             gedit_prefs_manager_get_editor_font (void);
    void                gedit_prefs_manager_set_editor_font (const gchar *font);
    gboolean            gedit_prefs_manager_editor_font_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_create_backup_copy
                                                            (void);
    void                gedit_prefs_manager_set_create_backup_copy
                                                            (gboolean cbc);
    gboolean            gedit_prefs_manager_create_backup_copy_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_auto_save   (void);
    void                gedit_prefs_manager_set_auto_save   (gboolean as);
    gboolean            gedit_prefs_manager_auto_save_can_set
                                                            (void);
    gint                gedit_prefs_manager_get_auto_save_interval
                                                            (void);
    void                gedit_prefs_manager_set_auto_save_interval
                                                            (gint asi);
    gboolean            gedit_prefs_manager_auto_save_interval_can_set
                                                            (void);
    gint                gedit_prefs_manager_get_undo_actions_limit
                                                            (void);
    void                gedit_prefs_manager_set_undo_actions_limit
                                                            (gint ual);
    gboolean            gedit_prefs_manager_undo_actions_limit_can_set
                                                            (void);
    GtkWrapMode         gedit_prefs_manager_get_wrap_mode   (void);
    void                gedit_prefs_manager_set_wrap_mode   (GtkWrapMode wp);
    gboolean            gedit_prefs_manager_wrap_mode_can_set
                                                            (void);
    gint                gedit_prefs_manager_get_tabs_size   (void);
    void                gedit_prefs_manager_set_tabs_size   (gint ts);
    gboolean            gedit_prefs_manager_tabs_size_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_insert_spaces
                                                            (void);
    void                gedit_prefs_manager_set_insert_spaces
                                                            (gboolean ai);
    gboolean            gedit_prefs_manager_insert_spaces_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_auto_indent (void);
    void                gedit_prefs_manager_set_auto_indent (gboolean ai);
    gboolean            gedit_prefs_manager_auto_indent_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_display_line_numbers
                                                            (void);
    void                gedit_prefs_manager_set_display_line_numbers
                                                            (gboolean dln);
    gboolean            gedit_prefs_manager_display_line_numbers_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_toolbar_visible
                                                            (void);
    void                gedit_prefs_manager_set_toolbar_visible
                                                            (gboolean tv);
    gboolean            gedit_prefs_manager_toolbar_visible_can_set
                                                            (void);
    GeditToolbarSetting  gedit_prefs_manager_get_toolbar_buttons_style
                                                            (void);
    void                gedit_prefs_manager_set_toolbar_buttons_style
                                                            (GeditToolbarSetting tbs);
    gboolean            gedit_prefs_manager_toolbar_buttons_style_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_statusbar_visible
                                                            (void);
    void                gedit_prefs_manager_set_statusbar_visible
                                                            (gboolean sv);
    gboolean            gedit_prefs_manager_statusbar_visible_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_side_pane_visible
                                                            (void);
    void                gedit_prefs_manager_set_side_pane_visible
                                                            (gboolean tv);
    gboolean            gedit_prefs_manager_side_pane_visible_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_bottom_panel_visible
                                                            (void);
    void                gedit_prefs_manager_set_bottom_panel_visible
                                                            (gboolean tv);
    gboolean            gedit_prefs_manager_bottom_panel_visible_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_print_syntax_hl
                                                            (void);
    void                gedit_prefs_manager_set_print_syntax_hl
                                                            (gboolean ps);
    gboolean            gedit_prefs_manager_print_syntax_hl_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_print_header
                                                            (void);
    void                gedit_prefs_manager_set_print_header
                                                            (gboolean ph);
    gboolean            gedit_prefs_manager_print_header_can_set
                                                            (void);
    GtkWrapMode         gedit_prefs_manager_get_print_wrap_mode
                                                            (void);
    void                gedit_prefs_manager_set_print_wrap_mode
                                                            (GtkWrapMode pwm);
    gboolean            gedit_prefs_manager_print_wrap_mode_can_set
                                                            (void);
    gint                gedit_prefs_manager_get_print_line_numbers
                                                            (void);
    void                gedit_prefs_manager_set_print_line_numbers
                                                            (gint pln);
    gboolean            gedit_prefs_manager_print_line_numbers_can_set
                                                            (void);
    gchar *             gedit_prefs_manager_get_print_font_body
                                                            (void);
    void                gedit_prefs_manager_set_print_font_body
                                                            (const gchar *font);
    gboolean            gedit_prefs_manager_print_font_body_can_set
                                                            (void);
    const gchar *       gedit_prefs_manager_get_default_print_font_body
                                                            (void);
    gchar *             gedit_prefs_manager_get_print_font_header
                                                            (void);
    void                gedit_prefs_manager_set_print_font_header
                                                            (const gchar *font);
    gboolean            gedit_prefs_manager_print_font_header_can_set
                                                            (void);
    const gchar *       gedit_prefs_manager_get_default_print_font_header
                                                            (void);
    gchar *             gedit_prefs_manager_get_print_font_numbers
                                                            (void);
    void                gedit_prefs_manager_set_print_font_numbers
                                                            (const gchar *font);
    gboolean            gedit_prefs_manager_print_font_numbers_can_set
                                                            (void);
    const gchar *       gedit_prefs_manager_get_default_print_font_numbers
                                                            (void);
    gint                gedit_prefs_manager_get_max_recents (void);
    GSList *            gedit_prefs_manager_get_auto_detected_encodings
                                                            (void);
    GSList *            gedit_prefs_manager_get_shown_in_menu_encodings
                                                            (void);
    void                gedit_prefs_manager_set_shown_in_menu_encodings
                                                            (const GSList *encs);
    gboolean            gedit_prefs_manager_shown_in_menu_encodings_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_highlight_current_line
                                                            (void);
    void                gedit_prefs_manager_set_highlight_current_line
                                                            (gboolean hl);
    gboolean            gedit_prefs_manager_highlight_current_line_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_bracket_matching
                                                            (void);
    void                gedit_prefs_manager_set_bracket_matching
                                                            (gboolean bm);
    gboolean            gedit_prefs_manager_bracket_matching_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_display_right_margin
                                                            (void);
    void                gedit_prefs_manager_set_display_right_margin
                                                            (gboolean drm);
    gboolean            gedit_prefs_manager_display_right_margin_can_set
                                                            (void);
    gint                gedit_prefs_manager_get_right_margin_position
                                                            (void);
    void                gedit_prefs_manager_set_right_margin_position
                                                            (gint rmp);
    gboolean            gedit_prefs_manager_right_margin_position_can_set
                                                            (void);
    gboolean            gedit_prefs_manager_get_enable_syntax_highlighting
                                                            (void);
    void                gedit_prefs_manager_set_enable_syntax_highlighting
                                                            (gboolean esh);
    gboolean            gedit_prefs_manager_enable_syntax_highlighting_can_set
                                                            (void);
    GSList *            gedit_prefs_manager_get_writable_vfs_schemes
                                                            (void);
    gboolean            gedit_prefs_manager_get_restore_cursor_position
                                                            (void);
    gboolean            gedit_prefs_manager_get_enable_search_highlighting
                                                            (void);
    void                gedit_prefs_manager_set_enable_search_highlighting
                                                            (gboolean esh);
    gboolean            gedit_prefs_manager_enable_search_highlighting_can_set
                                                            (void);
    GeditLockdownMask   gedit_prefs_manager_get_lockdown    (void);

## Description

## Details

### GEDIT_BASE_KEY

    #define GEDIT_BASE_KEY "/apps/gedit-2"

### GPM_PREFS_DIR

    #define GPM_PREFS_DIR			GEDIT_BASE_KEY "/preferences"

### GPM_FONT_DIR

    #define GPM_FONT_DIR			GPM_PREFS_DIR "/editor/font"

### GPM_USE_DEFAULT_FONT

    #define GPM_USE_DEFAULT_FONT		GPM_FONT_DIR "/use_default_font"

### GPM_EDITOR_FONT

    #define GPM_EDITOR_FONT			GPM_FONT_DIR "/editor_font"

### GPM_SAVE_DIR

    #define GPM_SAVE_DIR			GPM_PREFS_DIR  "/editor/save"

### GPM_CREATE_BACKUP_COPY

    #define GPM_CREATE_BACKUP_COPY  	GPM_SAVE_DIR "/create_backup_copy"

### GPM_AUTO_SAVE

    #define GPM_AUTO_SAVE			GPM_SAVE_DIR "/auto_save"

### GPM_AUTO_SAVE_INTERVAL

    #define GPM_AUTO_SAVE_INTERVAL		GPM_SAVE_DIR "/auto_save_interval"

### GPM_UNDO_DIR

    #define GPM_UNDO_DIR			GPM_PREFS_DIR  "/editor/undo"

### GPM_UNDO_ACTIONS_LIMIT

    #define GPM_UNDO_ACTIONS_LIMIT		GPM_UNDO_DIR "/max_undo_actions"

### GPM_WRAP_MODE_DIR

    #define GPM_WRAP_MODE_DIR		GPM_PREFS_DIR "/editor/wrap_mode"

### GPM_WRAP_MODE

    #define GPM_WRAP_MODE			GPM_WRAP_MODE_DIR "/wrap_mode"

### GPM_TABS_DIR

    #define GPM_TABS_DIR			GPM_PREFS_DIR "/editor/tabs"

### GPM_TABS_SIZE

    #define GPM_TABS_SIZE			GPM_TABS_DIR "/tabs_size"

### GPM_INSERT_SPACES

    #define GPM_INSERT_SPACES		GPM_TABS_DIR "/insert_spaces"

### GPM_AUTO_INDENT_DIR

    #define GPM_AUTO_INDENT_DIR		GPM_PREFS_DIR "/editor/auto_indent"

### GPM_AUTO_INDENT

    #define GPM_AUTO_INDENT			GPM_AUTO_INDENT_DIR "/auto_indent"

### GPM_LINE_NUMBERS_DIR

    #define GPM_LINE_NUMBERS_DIR		GPM_PREFS_DIR "/editor/line_numbers"

### GPM_DISPLAY_LINE_NUMBERS

    #define GPM_DISPLAY_LINE_NUMBERS 	GPM_LINE_NUMBERS_DIR "/display_line_numbers"

### GPM_CURRENT_LINE_DIR

    #define GPM_CURRENT_LINE_DIR		GPM_PREFS_DIR "/editor/current_line"

### GPM_HIGHLIGHT_CURRENT_LINE

    #define GPM_HIGHLIGHT_CURRENT_LINE 	GPM_CURRENT_LINE_DIR "/highlight_current_line"

### GPM_BRACKET_MATCHING_DIR

    #define GPM_BRACKET_MATCHING_DIR GPM_PREFS_DIR "/editor/bracket_matching"

### GPM_BRACKET_MATCHING

    #define GPM_BRACKET_MATCHING		GPM_BRACKET_MATCHING_DIR "/bracket_matching"

### GPM_RIGHT_MARGIN_DIR

    #define GPM_RIGHT_MARGIN_DIR		GPM_PREFS_DIR "/editor/right_margin"

### GPM_DISPLAY_RIGHT_MARGIN

    #define GPM_DISPLAY_RIGHT_MARGIN GPM_RIGHT_MARGIN_DIR "/display_right_margin"

### GPM_RIGHT_MARGIN_POSITION

    #define GPM_RIGHT_MARGIN_POSITION GPM_RIGHT_MARGIN_DIR "/right_margin_position"

### GPM_CURSOR_POSITION_DIR

    #define GPM_CURSOR_POSITION_DIR		GPM_PREFS_DIR  "/editor/cursor_position"

### GPM_RESTORE_CURSOR_POSITION

    #define GPM_RESTORE_CURSOR_POSITION GPM_CURSOR_POSITION_DIR "/restore_cursor_position"

### GPM_SEARCH_HIGHLIGHTING_DIR

    #define GPM_SEARCH_HIGHLIGHTING_DIR GPM_PREFS_DIR "/editor/search_highlighting"

### GPM_SEARCH_HIGHLIGHTING_ENABLE

    #define GPM_SEARCH_HIGHLIGHTING_ENABLE GPM_SEARCH_HIGHLIGHTING_DIR "/enable"

### GPM_TOOLBAR_DIR

    #define GPM_TOOLBAR_DIR			GPM_PREFS_DIR "/ui/toolbar"

### GPM_TOOLBAR_VISIBLE

    #define GPM_TOOLBAR_VISIBLE	 	GPM_TOOLBAR_DIR "/toolbar_visible"

### GPM_TOOLBAR_BUTTONS_STYLE

    #define GPM_TOOLBAR_BUTTONS_STYLE 	GPM_TOOLBAR_DIR "/toolbar_buttons_style"

### GPM_STATUSBAR_DIR

    #define GPM_STATUSBAR_DIR		GPM_PREFS_DIR "/ui/statusbar"

### GPM_STATUSBAR_VISIBLE

    #define GPM_STATUSBAR_VISIBLE		GPM_STATUSBAR_DIR "/statusbar_visible"

### GPM_SIDE_PANE_DIR

    #define GPM_SIDE_PANE_DIR		GPM_PREFS_DIR "/ui/side_pane"

### GPM_SIDE_PANE_VISIBLE

    #define GPM_SIDE_PANE_VISIBLE		GPM_SIDE_PANE_DIR "/side_pane_visible"

### GPM_BOTTOM_PANEL_DIR

    #define GPM_BOTTOM_PANEL_DIR		GPM_PREFS_DIR "/ui/bottom_panel"

### GPM_BOTTOM_PANEL_VISIBLE

    #define GPM_BOTTOM_PANEL_VISIBLE GPM_BOTTOM_PANEL_DIR "/bottom_panel_visible"

### GPM_RECENTS_DIR

    #define GPM_RECENTS_DIR			GPM_PREFS_DIR "/ui/recents"

### GPM_MAX_RECENTS

    #define GPM_MAX_RECENTS			GPM_RECENTS_DIR "/max_recents"

### GPM_PRINT_PAGE_DIR

    #define GPM_PRINT_PAGE_DIR		GPM_PREFS_DIR "/print/page"

### GPM_PRINT_SYNTAX

    #define GPM_PRINT_SYNTAX		GPM_PRINT_PAGE_DIR "/print_syntax_highlighting"

### GPM_PRINT_HEADER

    #define GPM_PRINT_HEADER		GPM_PRINT_PAGE_DIR "/print_header"

### GPM_PRINT_WRAP_MODE

    #define GPM_PRINT_WRAP_MODE		GPM_PRINT_PAGE_DIR "/print_wrap_mode"

### GPM_PRINT_LINE_NUMBERS

    #define GPM_PRINT_LINE_NUMBERS		GPM_PRINT_PAGE_DIR "/print_line_numbers"

### GPM_PRINT_FONT_DIR

    #define GPM_PRINT_FONT_DIR		GPM_PREFS_DIR "/print/fonts"

### GPM_PRINT_FONT_BODY

    #define GPM_PRINT_FONT_BODY		GPM_PRINT_FONT_DIR "/print_font_body_pango"

### GPM_PRINT_FONT_HEADER

    #define GPM_PRINT_FONT_HEADER		GPM_PRINT_FONT_DIR "/print_font_header_pango"

### GPM_PRINT_FONT_NUMBERS

    #define GPM_PRINT_FONT_NUMBERS		GPM_PRINT_FONT_DIR "/print_font_numbers_pango"

### GPM_ENCODINGS_DIR

    #define GPM_ENCODINGS_DIR		GPM_PREFS_DIR "/encodings"

### GPM_AUTO_DETECTED_ENCODINGS

    #define GPM_AUTO_DETECTED_ENCODINGS GPM_ENCODINGS_DIR "/auto_detected"

### GPM_SHOWN_IN_MENU_ENCODINGS

    #define GPM_SHOWN_IN_MENU_ENCODINGS GPM_ENCODINGS_DIR "/shown_in_menu"

### GPM_SYNTAX_HL_DIR

    #define GPM_SYNTAX_HL_DIR		GPM_PREFS_DIR "/syntax_highlighting"

### GPM_SYNTAX_HL_ENABLE

    #define GPM_SYNTAX_HL_ENABLE		GPM_SYNTAX_HL_DIR "/enable"

### GPM_WRITABLE_VFS_SCHEMES

    #define GPM_WRITABLE_VFS_SCHEMES 	GPM_SAVE_DIR "/writable_vfs_schemes"

### GPM_LOCKDOWN_DIR

    #define GPM_LOCKDOWN_DIR		"/desktop/gnome/lockdown"

### GPM_LOCKDOWN_COMMAND_LINE

    #define GPM_LOCKDOWN_COMMAND_LINE GPM_LOCKDOWN_DIR "/disable_command_line"

### GPM_LOCKDOWN_PRINTING

    #define GPM_LOCKDOWN_PRINTING		GPM_LOCKDOWN_DIR "/disable_printing"

### GPM_LOCKDOWN_PRINT_SETUP

    #define GPM_LOCKDOWN_PRINT_SETUP GPM_LOCKDOWN_DIR "/disable_print_setup"

### GPM_LOCKDOWN_SAVE_TO_DISK

    #define GPM_LOCKDOWN_SAVE_TO_DISK GPM_LOCKDOWN_DIR "/disable_save_to_disk"

### GPM_DEFAULT_USE_DEFAULT_FONT

    #define GPM_DEFAULT_USE_DEFAULT_FONT 	1 /* TRUE */

### GPM_DEFAULT_EDITOR_FONT

    #define             GPM_DEFAULT_EDITOR_FONT

### GPM_DEFAULT_CREATE_BACKUP_COPY

    #define GPM_DEFAULT_CREATE_BACKUP_COPY 0 /* FALSE */

### GPM_DEFAULT_AUTO_SAVE

    #define GPM_DEFAULT_AUTO_SAVE		0 /* FALSE */

### GPM_DEFAULT_AUTO_SAVE_INTERVAL

    #define GPM_DEFAULT_AUTO_SAVE_INTERVAL 10 /* minutes */

### GPM_DEFAULT_UNDO_ACTIONS_LIMIT

    #define GPM_DEFAULT_UNDO_ACTIONS_LIMIT 2000 /* actions */

### GPM_DEFAULT_WRAP_MODE

    #define GPM_DEFAULT_WRAP_MODE		"GTK_WRAP_WORD"

### GPM_DEFAULT_TABS_SIZE

    #define GPM_DEFAULT_TABS_SIZE		8

### GPM_DEFAULT_INSERT_SPACES

    #define GPM_DEFAULT_INSERT_SPACES 0 /* FALSE */

### GPM_DEFAULT_AUTO_INDENT

    #define GPM_DEFAULT_AUTO_INDENT		0 /* FALSE */

### GPM_DEFAULT_DISPLAY_LINE_NUMBERS

    #define GPM_DEFAULT_DISPLAY_LINE_NUMBERS 0 /* FALSE */

### GPM_DEFAULT_AUTO_DETECTED_ENCODINGS

    #define GPM_DEFAULT_AUTO_DETECTED_ENCODINGS {"UTF-8", "CURRENT", "ISO-8859-15", NULL}

### GPM_DEFAULT_TOOLBAR_VISIBLE

    #define GPM_DEFAULT_TOOLBAR_VISIBLE 1 /* TRUE */

### GPM_DEFAULT_TOOLBAR_BUTTONS_STYLE

    #define GPM_DEFAULT_TOOLBAR_BUTTONS_STYLE "GEDIT_TOOLBAR_SYSTEM"

### GPM_DEFAULT_TOOLBAR_SHOW_TOOLTIPS

    #define GPM_DEFAULT_TOOLBAR_SHOW_TOOLTIPS 1 /* TRUE */

### GPM_DEFAULT_STATUSBAR_VISIBLE

    #define GPM_DEFAULT_STATUSBAR_VISIBLE 1 /* TRUE */

### GPM_DEFAULT_SIDE_PANE_VISIBLE

    #define GPM_DEFAULT_SIDE_PANE_VISIBLE 0 /* FALSE */

### GPM_DEFAULT_BOTTOM_PANEL_VISIBLE

    #define GPM_DEFAULT_BOTTOM_PANEL_VISIBLE 0 /* FALSE */

### GPM_DEFAULT_PRINT_SYNTAX

    #define GPM_DEFAULT_PRINT_SYNTAX 1 /* TRUE */

### GPM_DEFAULT_PRINT_HEADER

    #define GPM_DEFAULT_PRINT_HEADER 1 /* TRUE */

### GPM_DEFAULT_PRINT_WRAP_MODE

    #define GPM_DEFAULT_PRINT_WRAP_MODE "GTK_WRAP_WORD"

### GPM_DEFAULT_PRINT_LINE_NUMBERS

    #define GPM_DEFAULT_PRINT_LINE_NUMBERS 0 /* No numbers */

### GPM_DEFAULT_MAX_RECENTS

    #define GPM_DEFAULT_MAX_RECENTS		5

### GPM_DEFAULT_HIGHLIGHT_CURRENT_LINE

    #define GPM_DEFAULT_HIGHLIGHT_CURRENT_LINE  1 /* TRUE */

### GPM_DEFAULT_BRACKET_MATCHING

    #define GPM_DEFAULT_BRACKET_MATCHING	  0 /* FALSE */

### GPM_DEFAULT_DISPLAY_RIGHT_MARGIN

    #define GPM_DEFAULT_DISPLAY_RIGHT_MARGIN  0 /* FALSE */

### GPM_DEFAULT_RIGHT_MARGIN_POSITION

    #define GPM_DEFAULT_RIGHT_MARGIN_POSITION 80

### GPM_DEFAULT_SYNTAX_HL_ENABLE

    #define GPM_DEFAULT_SYNTAX_HL_ENABLE 1 /* TRUE */

### GPM_DEFAULT_WRITABLE_VFS_SCHEMES

    #define GPM_DEFAULT_WRITABLE_VFS_SCHEMES {"ssh", "sftp", "smb", "dav", "davs", NULL}

### GPM_DEFAULT_RESTORE_CURSOR_POSITION

    #define GPM_DEFAULT_RESTORE_CURSOR_POSITION 1 /* TRUE */

### GPM_DEFAULT_SEARCH_HIGHLIGHTING_ENABLE

    #define GPM_DEFAULT_SEARCH_HIGHLIGHTING_ENABLE 1 /* TRUE */

### enum GeditToolbarSetting

    typedef enum {
    	GEDIT_TOOLBAR_SYSTEM = 0,
    	GEDIT_TOOLBAR_ICONS,
    	GEDIT_TOOLBAR_ICONS_AND_TEXT,
    	GEDIT_TOOLBAR_ICONS_BOTH_HORIZ
    } GeditToolbarSetting;

### gedit_prefs_manager_init ()

    gboolean            gedit_prefs_manager_init            (void);

Returns : |

### gedit_prefs_manager_shutdown ()

    void                gedit_prefs_manager_shutdown        (void);

### gedit_prefs_manager_get_use_default_font ()

    gboolean            gedit_prefs_manager_get_use_default_font
                                                            (void);

Returns : |

### gedit_prefs_manager_set_use_default_font ()

    void                gedit_prefs_manager_set_use_default_font
                                                            (gboolean udf);

`udf` : |

### gedit_prefs_manager_use_default_font_can_set ()

    gboolean            gedit_prefs_manager_use_default_font_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_editor_font ()

    gchar *             gedit_prefs_manager_get_editor_font (void);

Returns : |

### gedit_prefs_manager_set_editor_font ()

    void                gedit_prefs_manager_set_editor_font (const gchar *font);

`font` : |

### gedit_prefs_manager_editor_font_can_set ()

    gboolean            gedit_prefs_manager_editor_font_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_create_backup_copy ()

    gboolean            gedit_prefs_manager_get_create_backup_copy
                                                            (void);

Returns : |

### gedit_prefs_manager_set_create_backup_copy ()

    void                gedit_prefs_manager_set_create_backup_copy
                                                            (gboolean cbc);

`cbc` : |

### gedit_prefs_manager_create_backup_copy_can_set ()

    gboolean            gedit_prefs_manager_create_backup_copy_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_auto_save ()

    gboolean            gedit_prefs_manager_get_auto_save   (void);

Returns : |

### gedit_prefs_manager_set_auto_save ()

    void                gedit_prefs_manager_set_auto_save   (gboolean as);

`as` : |

### gedit_prefs_manager_auto_save_can_set ()

    gboolean            gedit_prefs_manager_auto_save_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_auto_save_interval ()

    gint                gedit_prefs_manager_get_auto_save_interval
                                                            (void);

Returns : |

### gedit_prefs_manager_set_auto_save_interval ()

    void                gedit_prefs_manager_set_auto_save_interval
                                                            (gint asi);

`asi` : |

### gedit_prefs_manager_auto_save_interval_can_set ()

    gboolean            gedit_prefs_manager_auto_save_interval_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_undo_actions_limit ()

    gint                gedit_prefs_manager_get_undo_actions_limit
                                                            (void);

Returns : |

### gedit_prefs_manager_set_undo_actions_limit ()

    void                gedit_prefs_manager_set_undo_actions_limit
                                                            (gint ual);

`ual` : |

### gedit_prefs_manager_undo_actions_limit_can_set ()

    gboolean            gedit_prefs_manager_undo_actions_limit_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_wrap_mode ()

    GtkWrapMode         gedit_prefs_manager_get_wrap_mode   (void);

Returns : |

### gedit_prefs_manager_set_wrap_mode ()

    void                gedit_prefs_manager_set_wrap_mode   (GtkWrapMode wp);

`wp` : |

### gedit_prefs_manager_wrap_mode_can_set ()

    gboolean            gedit_prefs_manager_wrap_mode_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_tabs_size ()

    gint                gedit_prefs_manager_get_tabs_size   (void);

Returns : |

### gedit_prefs_manager_set_tabs_size ()

    void                gedit_prefs_manager_set_tabs_size   (gint ts);

`ts` : |

### gedit_prefs_manager_tabs_size_can_set ()

    gboolean            gedit_prefs_manager_tabs_size_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_insert_spaces ()

    gboolean            gedit_prefs_manager_get_insert_spaces
                                                            (void);

Returns : |

### gedit_prefs_manager_set_insert_spaces ()

    void                gedit_prefs_manager_set_insert_spaces
                                                            (gboolean ai);

`ai` : |

### gedit_prefs_manager_insert_spaces_can_set ()

    gboolean            gedit_prefs_manager_insert_spaces_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_auto_indent ()

    gboolean            gedit_prefs_manager_get_auto_indent (void);

Returns : |

### gedit_prefs_manager_set_auto_indent ()

    void                gedit_prefs_manager_set_auto_indent (gboolean ai);

`ai` : |

### gedit_prefs_manager_auto_indent_can_set ()

    gboolean            gedit_prefs_manager_auto_indent_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_display_line_numbers ()

    gboolean            gedit_prefs_manager_get_display_line_numbers
                                                            (void);

Returns : |

### gedit_prefs_manager_set_display_line_numbers ()

    void                gedit_prefs_manager_set_display_line_numbers
                                                            (gboolean dln);

`dln` : |

### gedit_prefs_manager_display_line_numbers_can_set ()

    gboolean            gedit_prefs_manager_display_line_numbers_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_toolbar_visible ()

    gboolean            gedit_prefs_manager_get_toolbar_visible
                                                            (void);

Returns : |

### gedit_prefs_manager_set_toolbar_visible ()

    void                gedit_prefs_manager_set_toolbar_visible
                                                            (gboolean tv);

`tv` : |

### gedit_prefs_manager_toolbar_visible_can_set ()

    gboolean            gedit_prefs_manager_toolbar_visible_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_toolbar_buttons_style ()

    GeditToolbarSetting  gedit_prefs_manager_get_toolbar_buttons_style
                                                            (void);

Returns : |

### gedit_prefs_manager_set_toolbar_buttons_style ()

    void                gedit_prefs_manager_set_toolbar_buttons_style
                                                            (GeditToolbarSetting tbs);

`tbs` : |

### gedit_prefs_manager_toolbar_buttons_style_can_set ()

    gboolean            gedit_prefs_manager_toolbar_buttons_style_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_statusbar_visible ()

    gboolean            gedit_prefs_manager_get_statusbar_visible
                                                            (void);

Returns : |

### gedit_prefs_manager_set_statusbar_visible ()

    void                gedit_prefs_manager_set_statusbar_visible
                                                            (gboolean sv);

`sv` : |

### gedit_prefs_manager_statusbar_visible_can_set ()

    gboolean            gedit_prefs_manager_statusbar_visible_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_side_pane_visible ()

    gboolean            gedit_prefs_manager_get_side_pane_visible
                                                            (void);

Returns : |

### gedit_prefs_manager_set_side_pane_visible ()

    void                gedit_prefs_manager_set_side_pane_visible
                                                            (gboolean tv);

`tv` : |

### gedit_prefs_manager_side_pane_visible_can_set ()

    gboolean            gedit_prefs_manager_side_pane_visible_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_bottom_panel_visible ()

    gboolean            gedit_prefs_manager_get_bottom_panel_visible
                                                            (void);

Returns : |

### gedit_prefs_manager_set_bottom_panel_visible ()

    void                gedit_prefs_manager_set_bottom_panel_visible
                                                            (gboolean tv);

`tv` : |

### gedit_prefs_manager_bottom_panel_visible_can_set ()

    gboolean            gedit_prefs_manager_bottom_panel_visible_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_print_syntax_hl ()

    gboolean            gedit_prefs_manager_get_print_syntax_hl
                                                            (void);

Returns : |

### gedit_prefs_manager_set_print_syntax_hl ()

    void                gedit_prefs_manager_set_print_syntax_hl
                                                            (gboolean ps);

`ps` : |

### gedit_prefs_manager_print_syntax_hl_can_set ()

    gboolean            gedit_prefs_manager_print_syntax_hl_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_print_header ()

    gboolean            gedit_prefs_manager_get_print_header
                                                            (void);

Returns : |

### gedit_prefs_manager_set_print_header ()

    void                gedit_prefs_manager_set_print_header
                                                            (gboolean ph);

`ph` : |

### gedit_prefs_manager_print_header_can_set ()

    gboolean            gedit_prefs_manager_print_header_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_print_wrap_mode ()

    GtkWrapMode         gedit_prefs_manager_get_print_wrap_mode
                                                            (void);

Returns : |

### gedit_prefs_manager_set_print_wrap_mode ()

    void                gedit_prefs_manager_set_print_wrap_mode
                                                            (GtkWrapMode pwm);

`pwm` : |

### gedit_prefs_manager_print_wrap_mode_can_set ()

    gboolean            gedit_prefs_manager_print_wrap_mode_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_print_line_numbers ()

    gint                gedit_prefs_manager_get_print_line_numbers
                                                            (void);

Returns : |

### gedit_prefs_manager_set_print_line_numbers ()

    void                gedit_prefs_manager_set_print_line_numbers
                                                            (gint pln);

`pln` : |

### gedit_prefs_manager_print_line_numbers_can_set ()

    gboolean            gedit_prefs_manager_print_line_numbers_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_print_font_body ()

    gchar *             gedit_prefs_manager_get_print_font_body
                                                            (void);

Returns : |

### gedit_prefs_manager_set_print_font_body ()

    void                gedit_prefs_manager_set_print_font_body
                                                            (const gchar *font);

`font` : |

### gedit_prefs_manager_print_font_body_can_set ()

    gboolean            gedit_prefs_manager_print_font_body_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_default_print_font_body ()

    const gchar *       gedit_prefs_manager_get_default_print_font_body
                                                            (void);

Returns : |

### gedit_prefs_manager_get_print_font_header ()

    gchar *             gedit_prefs_manager_get_print_font_header
                                                            (void);

Returns : |

### gedit_prefs_manager_set_print_font_header ()

    void                gedit_prefs_manager_set_print_font_header
                                                            (const gchar *font);

`font` : |

### gedit_prefs_manager_print_font_header_can_set ()

    gboolean            gedit_prefs_manager_print_font_header_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_default_print_font_header ()

    const gchar *       gedit_prefs_manager_get_default_print_font_header
                                                            (void);

Returns : |

### gedit_prefs_manager_get_print_font_numbers ()

    gchar *             gedit_prefs_manager_get_print_font_numbers
                                                            (void);

Returns : |

### gedit_prefs_manager_set_print_font_numbers ()

    void                gedit_prefs_manager_set_print_font_numbers
                                                            (const gchar *font);

`font` : |

### gedit_prefs_manager_print_font_numbers_can_set ()

    gboolean            gedit_prefs_manager_print_font_numbers_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_default_print_font_numbers ()

    const gchar *       gedit_prefs_manager_get_default_print_font_numbers
                                                            (void);

Returns : |

### gedit_prefs_manager_get_max_recents ()

    gint                gedit_prefs_manager_get_max_recents (void);

Returns : |

### gedit_prefs_manager_get_auto_detected_encodings ()

    GSList *            gedit_prefs_manager_get_auto_detected_encodings
                                                            (void);

Returns : |

### gedit_prefs_manager_get_shown_in_menu_encodings ()

    GSList *            gedit_prefs_manager_get_shown_in_menu_encodings
                                                            (void);

Returns : |

### gedit_prefs_manager_set_shown_in_menu_encodings ()

    void                gedit_prefs_manager_set_shown_in_menu_encodings
                                                            (const GSList *encs);

`encs` : |

### gedit_prefs_manager_shown_in_menu_encodings_can_set ()

    gboolean            gedit_prefs_manager_shown_in_menu_encodings_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_highlight_current_line ()

    gboolean            gedit_prefs_manager_get_highlight_current_line
                                                            (void);

Returns : |

### gedit_prefs_manager_set_highlight_current_line ()

    void                gedit_prefs_manager_set_highlight_current_line
                                                            (gboolean hl);

`hl` : |

### gedit_prefs_manager_highlight_current_line_can_set ()

    gboolean            gedit_prefs_manager_highlight_current_line_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_bracket_matching ()

    gboolean            gedit_prefs_manager_get_bracket_matching
                                                            (void);

Returns : |

### gedit_prefs_manager_set_bracket_matching ()

    void                gedit_prefs_manager_set_bracket_matching
                                                            (gboolean bm);

`bm` : |

### gedit_prefs_manager_bracket_matching_can_set ()

    gboolean            gedit_prefs_manager_bracket_matching_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_display_right_margin ()

    gboolean            gedit_prefs_manager_get_display_right_margin
                                                            (void);

Returns : |

### gedit_prefs_manager_set_display_right_margin ()

    void                gedit_prefs_manager_set_display_right_margin
                                                            (gboolean drm);

`drm` : |

### gedit_prefs_manager_display_right_margin_can_set ()

    gboolean            gedit_prefs_manager_display_right_margin_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_right_margin_position ()

    gint                gedit_prefs_manager_get_right_margin_position
                                                            (void);

Returns : |

### gedit_prefs_manager_set_right_margin_position ()

    void                gedit_prefs_manager_set_right_margin_position
                                                            (gint rmp);

`rmp` : |

### gedit_prefs_manager_right_margin_position_can_set ()

    gboolean            gedit_prefs_manager_right_margin_position_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_enable_syntax_highlighting ()

    gboolean            gedit_prefs_manager_get_enable_syntax_highlighting
                                                            (void);

Returns : |

### gedit_prefs_manager_set_enable_syntax_highlighting ()

    void                gedit_prefs_manager_set_enable_syntax_highlighting
                                                            (gboolean esh);

`esh` : |

### gedit_prefs_manager_enable_syntax_highlighting_can_set ()

    gboolean            gedit_prefs_manager_enable_syntax_highlighting_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_writable_vfs_schemes ()

    GSList *            gedit_prefs_manager_get_writable_vfs_schemes
                                                            (void);

Returns : |

### gedit_prefs_manager_get_restore_cursor_position ()

    gboolean            gedit_prefs_manager_get_restore_cursor_position
                                                            (void);

Returns : |

### gedit_prefs_manager_get_enable_search_highlighting ()

    gboolean            gedit_prefs_manager_get_enable_search_highlighting
                                                            (void);

Returns : |

### gedit_prefs_manager_set_enable_search_highlighting ()

    void                gedit_prefs_manager_set_enable_search_highlighting
                                                            (gboolean esh);

`esh` : |

### gedit_prefs_manager_enable_search_highlighting_can_set ()

    gboolean            gedit_prefs_manager_enable_search_highlighting_can_set
                                                            (void);

Returns : |

### gedit_prefs_manager_get_lockdown ()

    GeditLockdownMask   gedit_prefs_manager_get_lockdown    (void);

Returns : |